//@ts-ignore
import React, { Component } from 'react';
import { GcThumbnailViewer } from './GcThumbnailViewer';
import PdfReportPlugin from '../plugin';
export type ThumbnailsProps = {
    plugin: PdfReportPlugin;
    thumbnailViewer: GcThumbnailViewer;
    thumbnailsPanelInner: HTMLDivElement;
};
export declare class Thumbnails extends Component<ThumbnailsProps, any> {
    private _thumbsOuter;
    componentDidMount(): void;
    componentWillUnmount(): void;
//@ts-ignore
//@ts-ignore
    render(): React.JSX.Element;
    private _onPageLabels;
    private _onThumbnailsPanelMount;
}
